PatternCacheLRU (Jakarta-ORO 2.0.8 API)
Date: 2019-01-01

org.apache.oro.text

## Class PatternCacheLRU

- java.lang.Object
- - org.apache.oro.text.GenericPatternCache
  - - org.apache.oro.text.PatternCacheLRU

- All Implemented Interfaces:
    PatternCache

      public final class PatternCacheLRU
      extends GenericPatternCache

  This class is a GenericPatternCache subclass implementing an LRU (Least Recently Used) cache replacement policy. In other words, patterns are added to the cache until it becomes full. Once the cache is full, when a new pattern is added to the cache, it replaces the least recently used pattern currently in the cache. This is probably the best general purpose pattern cache replacement policy.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `GenericPatternCache`

- - ### Field Summary

    - ### Fields inherited from class org.apache.oro.text.GenericPatternCache

      `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternCacheLRU()` Same as:
    `PatternCacheLRU(int capacity)` Same as:
    `PatternCacheLRU(int capacity, PatternCompiler compiler)` Creates a PatternCacheLRU instance with a given cache capacity, and initialized to use a given PatternCompiler instance as a pattern compiler.
    `PatternCacheLRU(PatternCompiler compiler)` Same as:

  - ### Method Summary

    - ### Methods inherited from class org.apache.oro.text.GenericPatternCache

      `addPattern, addPattern, capacity, getPattern, getPattern, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternCacheLRU

          public PatternCacheLRU(int capacity,
                                 PatternCompiler compiler)

      Creates a PatternCacheLRU instance with a given cache capacity, and initialized to use a given PatternCompiler instance as a pattern compiler.

      Parameters:
        `capacity` - The capacity of the cache.
        `compiler` - The PatternCompiler to use to compile patterns.

    - #### PatternCacheLRU

          public PatternCacheLRU(PatternCompiler compiler)

      Same as:

      >      PatternCacheLRU(GenericPatternCache.DEFAULT_CAPACITY, compiler);

    - #### PatternCacheLRU

          public PatternCacheLRU(int capacity)

      Same as:

      >      PatternCacheLRU(capacity, new Perl5Compiler());

    - #### PatternCacheLRU

          public PatternCacheLRU()

      Same as:

      >      PatternCacheLRU(GenericPatternCache.DEFAULT_CAPACITY);

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.